.modal {
  align-items: center;
  justify-content: center;
  background: none;
  border: none;
  display: none;
  height: 100%;
  left: 0;
  margin: 0;
  overflow: auto;
  padding: var(--space-medium);
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
}

.modal[open] {
  display: grid;
}

.modal__backdrop {
  backdrop-filter: blur(0.5em);
  -webkit-backdrop-filter: blur(0.5em);
  inset: 0;
  position: fixed;
  user-select: none;
  -webkit-user-select: none;
}

.modal__container {
  background-color: #232323;
  display: grid;
  position: relative;
  padding: 6em;
  border-radius: 2em;
}

.modal__close {
  display: block;
  position: absolute;
  right: 1.5em;
  top: 1.5em;
  cursor: pointer;
  width: 44px;
  height: 44px;
}

@media (max-width: 720px) {
  .modal {
    padding: 1em;
  }

  .modal__container {
    border-radius: 1.5em;
    padding: 5em 2.5em 2.5em;
    place-items: center;
    width: min(100%, 20em);
  }

  .modal__container > img:first-child {
    height: auto;
    width: min(58vw, 200px);
  }

  .modal__close {
    right: 0.75em;
    top: 0.75em;
  }
}
